Skip to main content
GET
/
payment-methods
/
{payment_method_id}
/
network-tokens
Get network tokens
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/payment-methods/{payment_method_id}/network-tokens");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "items": [
    {
      "type": "network-token",
      "id": "d6ad71d5-6908-45d6-ab65-39c55475dd08",
      "payment_method_id": "9bdc4bc4-005e-4658-8eee-a309fc43cd4d",
      "status": "active",
      "token": "<string>",
      "expiration_date": "01/30",
      "created_at": "2021-01-01T12:34:00.000+00:00",
      "updated_at": "2021-01-01T12:34:00.000+00:00"
    }
  ],
  "limit": 1,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": null
}
This endpoint requires the payment-methods.read scope. Network token provisioning via the API is not enabled by default in production. Please contact support for further guidance.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_method_id
string<uuid>
required

The ID of the payment method.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Query Parameters

payment_method_id
string<uuid>

Filters for transactions that have a payment method with an ID that matches exactly with the provided value.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Response

Returns a list of network tokens (empty list if there aren't any).

A list of network tokens.

items
Network Token · object[]

A list of network tokens.

limit
integer<int32>
default:20

The limit applied to request. This represents the number of items that are at maximum returned by this request.

Required range: 1 <= x <= 100
Example:

1

next_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

null